Documentation Index Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Back to API List
When Access Control is enabled for content ingested from a connector, SearchAI requires user identity information in the Search API request to determine access rights and return appropriate content. RACL Resolver APIs manage the fields that transmit identity information within the Search API, ensuring secure and accurate access resolution.
Get RACL Resolver
This API returns the fields used for mapping identity information in the Search API (advancedSearch).
Field Value Method GET Endpoint <host_url>/api/public/bot/:botId/racl-resolverContent-Type application/jsonAuthorization auth: <JWT Token>API Scope Permission Entity Management
Query Parameters
Bot ID : Provide your application ID here.
Update RACL Resolver
This API updates the field used to pass user identity information in the Search API.
Field Value Method POST Endpoint <host_url>/api/public/bot/:botId/racl-resolverContent-Type application/jsonAuthorization auth: <JWT Token>API Scope Permission Entity Management
Query Parameters
Bot ID : Provide your application ID here.
Request Parameters
source: Accepted values:
body — user identity is passed via a field in the request body of the Search API.
header — user identity is passed via a field in the request header of the Search API.
userMapping: Field name used to pass the identity information.
Sample Request Payload
The following example indicates that user identity is passed using the field customData.userIdentity in the request body of the Search API.
{
"source" : "body" ,
"userMapping" : "customData.userIdentity"
}
Delete RACL Resolver
This API deletes the RACL resolver fields.
Field Value Method DELETE Endpoint <host_url>/api/public/bot/:botId/racl-resolverContent-Type application/jsonAuthorization auth: <JWT Token>API Scope Permission Entity Management
Query Parameters
Bot ID : Provide your application ID here.